4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.UndefinedElements

Node classes for the stylesheet tree

    Copyright 2004 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: UndefinedExtensionElement, UndefinedXsltElement |  |  |  | Globals: XSL_NAMESPACE

## Classes

class UndefinedExtensionElement(Ft.Xml.Xslt.UndefinedElements._UndefinedElement)

  ### Methods inherited from class Ft.Xml.Xslt.UndefinedElements._UndefinedElement

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  legalAttrs = None

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, content, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root
class UndefinedXsltElement(Ft.Xml.Xslt.UndefinedElements._UndefinedElement)

  ### Methods inherited from class Ft.Xml.Xslt.UndefinedElements._UndefinedElement

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  legalAttrs = {}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, content, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'